Bug 872638 - FTBFS: systemd-195-2.fc18 fails to build on power
FTBFS: systemd-195-2.fc18 fails to build on power
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
powerpc Linux
unspecified Severity urgent
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Betappc
  Show dependency treegraph
 
Reported: 2012-11-02 12:07 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 12:30:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build fix for bug #872638 (114.88 KB, patch)
2012-11-13 08:55 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff
reeanble test-journal-syslog (384 bytes, patch)
2012-11-15 03:05 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

  None (edit)
Description David Aquilina 2012-11-02 12:07:22 EDT
Description of problem:

systemd-195-2.fc18 fails to build on ppc: 

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=772981

build log: http://ppc.koji.fedoraproject.org/koji/getfile?taskID=772982&name=build.log 

Notably, it only fails to build on ppc - a ppc64 scratch build succeeded just fine ( http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=773046 )
Comment 1 Michal Schmidt 2012-11-09 08:05:16 EST
The relevant errors from the log:

src/journal/journald-syslog.o: In function `server_process_syslog_message':
/builddir/build/BUILD/systemd-195/src/journal/journald-syslog.c:403: undefined reference to `server_dispatch_message'
/builddir/build/BUILD/systemd-195/src/journal/journald-syslog.c:373: undefined reference to `server_forward_kmsg'
/builddir/build/BUILD/systemd-195/src/journal/journald-syslog.c:376: undefined reference to `server_forward_console'
collect2: error: ld returned 1 exit status
make[2]: *** [test-journal-syslog] Error 1


It appears that test-journal-syslog does not have all dependencies properly described in Makefile.am. I don't know yet how the correct fix should look, but as a quick workaround I can disable the build of this test program.
Comment 2 Michal Schmidt 2012-11-09 08:31:32 EST
Zbigniew,

you added test-journal-syslog in upstream. Could you fix this build error properly? Thanks!

Meanwhile I disabled test-journal-syslog in systemd-195-6.
Comment 3 Fedora Update System 2012-11-09 11:46:10 EST
systemd-195-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-195-6.fc18
Comment 4 Fedora Update System 2012-11-09 16:10:04 EST
Package systemd-195-6.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-195-6.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17924/systemd-195-6.fc18
then log in and leave karma (feedback).
Comment 5 Zbigniew Jędrzejewski-Szmek 2012-11-13 08:55:46 EST
Created attachment 644115 [details]
build fix for bug #872638
Comment 6 Zbigniew Jędrzejewski-Szmek 2012-11-13 08:56:32 EST
Hi Michal,
I have a patch ready (attached above), which I think should fix the build issue, but I don't want to commit it without testing. Is it possible for me to request a test build on ppc?

Zbyszek
Comment 7 Michal Schmidt 2012-11-13 10:04:27 EST
Everyone with an account in FAS can do a scratch build on PPC. Try these instructions:
https://fedoraproject.org/wiki/Architectures/PowerPC#Building_packages_on_the_PowerPC_koji_build_system

By the way, I believe you'll be able to reproduce the build error even on x86_64 if you remove "-ffunction-sections" from CFLAGS in configure.ac.
Comment 8 Zbigniew Jędrzejewski-Szmek 2012-11-15 03:05:59 EST
Created attachment 645437 [details]
reeanble test-journal-syslog

Note You need to log in before you can comment on or make changes to this bug.